Summary: moe chinese true type fonts -- sung face
Name: ttf-moe_sung
Version: 1.2
Release: 9
Copyright: Free
Group: Extensions/Chinese
Source: moe_sung.ttf.gz
Source1: twmoe_sung-fonts.alias
Source2: twmoe_sung-fonts.scale
Packager: platin@ms.ccafps.khc.edu.tw
Provides: moe_sung, zh-ttf-font
Buildroot: /tmp/moe_sung
BuildArchitectures: noarch        

%description

This is a chinese big5 true type font provided by moe.
And Wukai <Wukai.bbs@bbs.csie.nctu.edu.tw> uploaded it onto THE NET.
This font will install under /usr/share/chinese/ttf-fonts.
And because I use chitex, so this rpm will make a link to
/usr/share/texmf/fonts/chinese/ttf/moe_sung.ttf .

%prep

mkdir -p $RPM_BUILD_ROOT/usr/share/chinese/ttf-fonts/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/TrueType/
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/fonts/chinese/ttf/
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/fonts/truetype/

%install

gzip -d -c $RPM_SOURCE_DIR/moe_sung.ttf.gz > $RPM_BUILD_ROOT/usr/share/chinese/ttf-fonts/moe_sung.ttf
install -m644 $RPM_SOURCE_DIR/twmoe_sung-fonts.scale $RPM_BUILD_ROOT/usr/share/chinese/ttf-fonts/
install -m644 $RPM_SOURCE_DIR/twmoe_sung-fonts.alias $RPM_BUILD_ROOT/usr/share/chinese/ttf-fonts/
ln -sf ../../../../../share/chinese/ttf-fonts/moe_sung.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/TrueType/
ln -sf ../../../../chinese/ttf-fonts/moe_sung.ttf $RPM_BUILD_ROOT/usr/share/texmf/fonts/chinese/ttf/moesung.ttf
ln -sf ../../../chinese/ttf-fonts/moe_sung.ttf $RPM_BUILD_ROOT/usr/share/texmf/fonts/truetype/moesung.ttf

%files 
/usr/share/chinese/ttf-fonts/moe_sung.ttf
/usr/X11R6/lib/X11/fonts/TrueType/moe_sung.ttf
/usr/share/chinese/ttf-fonts/twmoe_sung-fonts.alias
/usr/share/chinese/ttf-fonts/twmoe_sung-fonts.scale
/usr/share/texmf/fonts/chinese/ttf/moesung.ttf
/usr/share/texmf/fonts/truetype/moesung.ttf

%triggerin -- tetex

if [ -x /usr/bin/texhash ]; then
	/usr/bin/texhash
fi

%postun

if [ ! -f /usr/share/chinese/ttf-fonts/moe_sung.ttf ]; then  ## remove
    ## X
    if [ -f /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale ]; then
        cat /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale | grep -E "[^0-9]" | grep -v "moe_sung.ttf" > /tmp/fonts.scale.orig$$
        cat /tmp/fonts.scale.orig$$ | /usr/bin/wc --lines | /usr/bin/tr -d " " > /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
        cat /tmp/fonts.scale.orig$$ >> /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
    fi
    [ -d /usr/X11R6/lib/X11/fonts/TrueType/ ] && mkfontdir /usr/X11R6/lib/X11/fonts/TrueType/
    # fonts.alias
    if [ -f /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias ]; then
        cat /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias | grep -v "added by by twmoe_sung" > /tmp/fonts.alias.orig$$
        cat /tmp/fonts.alias.orig$$ > /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias
    fi
else  #### upgrade

    [ -d /usr/X11R6/lib/X11/fonts/TrueType/ ] || mkdir -p /usr/X11R6/lib/X11/fonts/TrueType/

    # deal with fonts.scale
    if [ ! -f /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale ]; then
        echo "4" > /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
        cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.scale >> /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
    else
        cat /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale | grep -E "[^0-9]" | grep -v "moe_sung.ttf" > /tmp/fonts.scale.orig$$

	# I use some trick to make the moe_sung be the "default" font
        cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.scale /tmp/fonts.scale.orig$$ | /usr/bin/wc --lines | /usr/bin/tr -d " " > /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
        cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.scale /tmp/fonts.scale.orig$$ >> /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
fi

    mkfontdir /usr/X11R6/lib/X11/fonts/TrueType/

    # fonts.alias
    if [ ! -f /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias ]; then
        cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.alias > /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias
    else
        cat /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias | grep -v "added by by twmoe_sung" > /tmp/fonts.alias.orig$$
        cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.alias /tmp/fonts.alias.orig$$ > /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias
    fi    
fi

%triggerin -- XFree86

[ -d /usr/X11R6/lib/X11/fonts/TrueType/ ] || mkdir -p /usr/X11R6/lib/X11/fonts/TrueType/

# deal with fonts.scale
if [ ! -f /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale ]; then
    echo "4" > /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
    cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.scale >> /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
else
    cat /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale | grep -E "[^0-9]" | grep -v "moe_sung.ttf" > /tmp/fonts.scale.orig$$
    cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.scale /tmp/fonts.scale.orig$$ | /usr/bin/wc --lines | /usr/bin/tr -d " " > /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
    cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.scale /tmp/fonts.scale.orig$$ >> /usr/X11R6/lib/X11/fonts/TrueType/fonts.scale
fi

mkfontdir /usr/X11R6/lib/X11/fonts/TrueType/

# fonts.alias
if [ ! -f /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias ]; then
    cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.alias > /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias
else
    cat /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias | grep -v "added by by twmoe_sung" > /tmp/fonts.alias.orig$$
    cat /usr/share/chinese/ttf-fonts/twmoe_sung-fonts.alias /tmp/fonts.alias.orig$$ > /usr/X11R6/lib/X11/fonts/TrueType/fonts.alias
fi

%clean

rm -rf $RPM_BUILD_ROOT

%changelog

* Sun May  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- fixed the post script bug...

* Tue Mar  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- fixed for CJK
                
* Wed Jan 13 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- fix bug when using with chitex

* Sun Jan  3 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- fix a very stupid script bug

* Sun Dec 26  1998 Cheng Yuan-Cheng <platin@cle.linux.org.tw> 
-  use some trick to make the moe_sung to be the "default" font

* Sat Dec 26  1998 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- modify for supporting X TTF fonts, FontPath ->
  /usr/X11R6/lib/X11/fonts/TrueType/

* Wed Dec 16 1998 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- modified for tetex-0.9 

* Mon Dec 14 1998 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- %postun script bug fix

* Thu Nov  5 1998 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- rebuild on redhat-5.2

* Wed Aug 12 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- Change Group to Extensions/Chinese ( uppercase C)

* Mon Jul 20 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- added a "zh-ttf-font" provides 

* Thu Jun 18 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- Change the group tag to Extensions/chinese

* Fri Jan  9 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>
- creat the ttf package to be used by CJK or chitex  or ttfprint ...  
